Package org.codehaus.groovy.classgen.asm.sc

# Class StaticTypesMethodReferenceExpressionWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter
org.codehaus.groovy.classgen.asm.MethodReferenceExpressionWriter
org.codehaus.groovy.classgen.asm.sc.StaticTypesMethodReferenceExpressionWriter

All Implemented Interfaces:
  `AbstractFunctionalInterfaceWriter`

public class StaticTypesMethodReferenceExpressionWriter extends MethodReferenceExpressionWriter implements AbstractFunctionalInterfaceWriter
Generates bytecode for method reference expressions in statically-compiled code.

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.codehaus.groovy.classgen.asm.sc.AbstractFunctionalInterfaceWriter

  `AbstractFunctionalInterfaceWriter.SerializedLambdaFingerprint`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

  `controller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticTypesMethodReferenceExpressionWriter(WriterController controller)`
  Creates a writer for statically compiled method-reference expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)`
  Generates bytecode for a method reference expression.

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

  `writeMethodPointerExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.classgen.asm.sc.AbstractFunctionalInterfaceWriter

  `addDeserializeDispatcherEntry, convertParameterType, createCapturedReceiverParameter, createDeserializeMethodParameters, createFunctionalInterfaceFactoryDescriptor, createMethodDescriptor, createMethodDescriptor, createSerializedLambdaFingerprint, writeFunctionalInterfaceIndy, writeFunctionalInterfaceIndy`

- ## Constructor Details

  - ### StaticTypesMethodReferenceExpressionWriter

    public StaticTypesMethodReferenceExpressionWriter(WriterController controller)
    Creates a writer for statically compiled method-reference expressions.

- ## Method Details

  - ### writeMethodReferenceExpression

    public void writeMethodReferenceExpression(MethodReferenceExpression methodReferenceExpression)
    Generates bytecode for a method reference expression.
    Overrides:
      `writeMethodReferenceExpression` in class `MethodReferenceExpressionWriter`
    Parameters:
      `methodReferenceExpression` - the method reference expression